import java.awt.Font;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.JCheckBox;


public class MyCheckBox extends JCheckBox implements ItemListener {
		
	private JCheckBox mycheckbox;
	private boolean selected;
	
	MyCheckBox(String caption, int size){
		mycheckbox = new JCheckBox(caption);
		mycheckbox.addItemListener(this);
		mycheckbox.setFont(new Font("TimesNewRoman", Font.BOLD , size));
		mycheckbox.setSelected(false);
		
	}
	
	public JCheckBox getMyCheckBox(){
		return mycheckbox;
	}
	
	public boolean isSelected(){
		return selected;
	}

	public void itemStateChanged(ItemEvent e) {
		
		if(e.getStateChange() == ItemEvent.SELECTED){
			selected = true;
		}
		
		if (e.getStateChange() == ItemEvent.DESELECTED) {
			selected = false;
		}
        	
	}	

}	
