import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;

public class MyGoButton extends JButton implements ActionListener{

	private MyComboBox cbBox1;
	private MyComboBox cbBox2;
	private MyComboBox cbBox3;
	private MyCheckBox showChkBox;
	private MyCheckBox compareLabel;
	private String []compareOptions;
	private JButton goButton;
	
	public MyGoButton(String Caption){
		goButton = new JButton(Caption);
		goButton.addActionListener(this);
	}
	
	public void setCbBoxOne(MyComboBox cb){
		cbBox1 =cb;
	}
	
	public void setCbBoxTwo(MyComboBox cb){
		cbBox2 =cb;
	}
	
	public void setCbBoxThree(MyComboBox cb){
		cbBox3 =cb;
	}
	
	public void setCompareOption(String [] option){
		compareOptions = option;
	}
	
	public void setShowResultsCheckBox(MyCheckBox cb){
		showChkBox = cb;
	}
	
	public void setCompareCheckBox(MyCheckBox cb){
		compareLabel = cb;
	}
	
	public JButton getMyGoButton(){
		return goButton;
	}
	
	public void actionPerformed(ActionEvent e) {
	//System.out.println(showChkBox.isSelected() + " " + compareLabel.isSelected());
		
	if(showChkBox.isSelected() && compareLabel.isSelected()){
		JOptionPane.showMessageDialog(this, "Cannot Select Both Option", "Preg", JOptionPane.ERROR_MESSAGE);
	}
	else if(!showChkBox.isSelected() && !compareLabel.isSelected()){
		JOptionPane.showMessageDialog(this, "No Selection Made", "Preg", JOptionPane.ERROR_MESSAGE);
	}
	else{
		if(showChkBox.isSelected()){
	
			int k = cbBox3.getIndex();
			GetRegressionInfo gri = new GetRegressionInfo(compareOptions[k]);
			//System.out.println("show this run");
			GraphSelectionPanel gsp = new GraphSelectionPanel(gri);
			gsp.show();
		}

		if(compareLabel.isSelected() ){
			int i = cbBox1.getIndex();
			int j = cbBox2.getIndex();
		
			if(i == j){
				JOptionPane.showMessageDialog(this, "Cannot Compare Same things", "Preg", JOptionPane.ERROR_MESSAGE);
			}
			else{
				//System.out.println("sdfas " + compareOptions[i] + " " + compareOptions[j]);
				CompareMetaData cmd = new CompareMetaData(compareOptions[i], compareOptions[j]);
				cmd.compare();
				GraphSelectionPanel gsp = new GraphSelectionPanel(cmd);
				gsp.show();
			}

		}
	}
	}

}
